package cn.com.poc.agent_application.convert;

import cn.com.poc.agent_application.model.BizAgentApplicationLargeModelListModel;
import cn.com.poc.agent_application.entity.BizAgentApplicationLargeModelListEntity;
import cn.com.poc.agent_application.dto.BizAgentApplicationLargeModelListDto;


public class BizAgentApplicationLargeModelListConvert {

    public static BizAgentApplicationLargeModelListEntity modelToEntity(BizAgentApplicationLargeModelListModel model) {
        BizAgentApplicationLargeModelListEntity bizAgentApplicationLargeModelListEntity = new BizAgentApplicationLargeModelListEntity();
        bizAgentApplicationLargeModelListEntity.setId(model.getId());
        bizAgentApplicationLargeModelListEntity.setModelName(model.getModelName());
        bizAgentApplicationLargeModelListEntity.setOwner(model.getOwner());
        bizAgentApplicationLargeModelListEntity.setIconUrl(model.getIconUrl());
        bizAgentApplicationLargeModelListEntity.setModelNickName(model.getModelNickName());
        return bizAgentApplicationLargeModelListEntity;
    }

    public static BizAgentApplicationLargeModelListModel entityToModel(BizAgentApplicationLargeModelListEntity entity) {
        BizAgentApplicationLargeModelListModel bizAgentApplicationLargeModelListModel = new BizAgentApplicationLargeModelListModel();
        bizAgentApplicationLargeModelListModel.setId(entity.getId());
        bizAgentApplicationLargeModelListModel.setModelName(entity.getModelName());
        bizAgentApplicationLargeModelListModel.setOwner(entity.getOwner());
        bizAgentApplicationLargeModelListModel.setIconUrl(entity.getIconUrl());
        bizAgentApplicationLargeModelListModel.setModelNickName(entity.getModelNickName());
        return bizAgentApplicationLargeModelListModel;
    }

}